## kaddressbook 25.08.2+p24.04+vstable+git20251016.0808

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vstable+git20251016.0808-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 08:08:25 +0000

kaddressbook (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:27:34 +0000
