## kaddressbook 25.08.2+p24.04+vstable+git20251022.0018

=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vstable+git20251022.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:18:03 +0000
