## kaddressbook 25.08.2+p24.04+vunstable+git20251013.1248

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,15 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 project(kaddressbook VERSION ${PIM_VERSION})
 # Update it for each release
-set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.10.06") # yy.MM.dd
-
-set(RELEASE_SERVICE_VERSION "25.08.2")
-set(KF_MIN_VERSION "6.14.0")
+set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
+
+set(RELEASE_SERVICE_VERSION "25.11.70")
+set(KF_MIN_VERSION "6.17.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 include(ECMInstallIcons)
@@ -52,7 +53,7 @@
 include(CheckFunctionExists)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -61,8 +62,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.5.2")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -77,12 +78,12 @@
         DBus
         PrintSupport
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(AKONADI_SEARCH_VERSION "6.5.2")
-set(AKONADI_CONTACT_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(AKONADI_SEARCH_VERSION "6.5.40")
+set(AKONADI_CONTACT_VERSION "6.5.40")
+set(KLDAP_LIB_VERSION "6.5.40")
 
 # Find KF6 package
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -145,6 +146,14 @@
 find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
 find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
+
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 include_directories(
     ${kaddressbook_SOURCE_DIR}
     ${kaddressbook_BINARY_DIR}
@@ -153,7 +162,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.16.0
+     KF 6.18.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)
