=== debian/changelog ===
kaddressbook (4:25.08.2+p24.04+vunstable+git20251013.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 12:48:36 +0000
