## kaddressbook 25.08.2+p24.04+vunstable+git20251015.0715

=== CMakeLists.txt ===
--- 
+++ 
@@ -162,7 +162,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.18.0
+     KF 6.19.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)
