## kaddressbook 25.08.2+p24.04+vunstable+git20251022.0019

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
 set(RELEASE_SERVICE_VERSION "25.11.70")
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
