## kaddressbook 25.08.3

=== debian/changelog ===
kaddressbook (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Fix the tests.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:34 +0100

kaddressbook (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:09 +0100
