=== debian/rules ===
--- 
+++ 
@@ -23,5 +23,4 @@
 	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)
 
 override_dh_auto_test:
-	# Disable dh_auto_test at build time
-	:
+	xvfb-run -a -- dh_auto_test
