## kaddressbook 25.08.3+p24.04+vunstable+git20251204.0333

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 project(kaddressbook VERSION ${PIM_VERSION})
 # Update it for each release
-set(KADDRESSBOOK_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
-
-set(RELEASE_SERVICE_VERSION "25.11.70")
-set(KF_MIN_VERSION "6.18.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KADDRESSBOOK_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
+
+set(RELEASE_SERVICE_VERSION "26.03.40")
+set(KF_MIN_VERSION "6.19.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -62,8 +61,8 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_VERSION "6.5.40")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
+set(AKONADI_VERSION "6.6.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.6.40")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
@@ -78,12 +77,12 @@
         DBus
         PrintSupport
 )
-set(LIBKDEPIM_LIB_VERSION "6.5.40")
-set(LIBGRANTLEETHEME_LIB_VERSION "6.5.40")
-set(PIMCOMMON_LIB_VERSION "6.5.40")
-set(AKONADI_SEARCH_VERSION "6.5.40")
-set(AKONADI_CONTACT_VERSION "6.5.40")
-set(KLDAP_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(LIBGRANTLEETHEME_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.41")
+set(AKONADI_SEARCH_VERSION "6.6.40")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(KLDAP_LIB_VERSION "6.6.40")
 
 # Find KF6 package
 find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
@@ -146,13 +145,9 @@
 find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
 find_package(KPim6GrantleeTheme ${LIBGRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
 
-set(KTEXTADDONS_MIN_VERSION "1.8.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.82")
 
 find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
-
-if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
-    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
-endif()
 
 include_directories(
     ${kaddressbook_SOURCE_DIR}
@@ -162,7 +157,7 @@
 add_definitions(-DTRANSLATION_DOMAIN=\"kaddressbook\")
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-     KF 6.19.0
+     KF 6.20.0
 )
 
 if(TARGET KF6::UserFeedbackWidgets)
@@ -188,7 +183,7 @@
     endif()
     if(OPTION_USE_PLASMA_ACTIVITIES)
         if(NOT WIN32 AND NOT APPLE)
-            find_package(PlasmaActivities "6.3.0")
+            find_package(PlasmaActivities "6.4.0")
             set_package_properties(
                 PlasmaActivities
                 PROPERTIES
