=== debian/changelog ===
kaddressbook (4:25.08.3+p24.04+vunstable+git20251204.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 03:33:27 +0000

kaddressbook (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:44:43 +1000
