## kaddressbook 25.08.3+p24.04+vunstable+git20251206.1023

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 set(KADDRESSBOOK_RELEASE_VERSION_DATE "26.03.10") # yy.MM.dd
 
 set(RELEASE_SERVICE_VERSION "26.03.40")
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
